### Class

# Gio ZlibDecompressor

since: 2.0

#### Description

    final class Gio.ZlibDecompressor : GObject.Object
      implements Gio.Converter {
      /* No available fields */
    }

`GZlibDecompressor` is an implementation of `GConverter` that decompresses data compressed with zlib.

Available since: 2.0

#### Ancestors

- GObject

#### Implements

- GConverter

#### Constructors

###### g_zlib_decompressor_new

Creates a new `GZlibDecompressor`.

since: 2.24

#### Instance methods

###### g_zlib_decompressor_get_file_info

Retrieves the `GFileInfo` constructed from the GZIP header data of compressed data processed by `compressor`, or `NULL` if `decompressor`‘s `GZlibDecompressor:format` property is not `G_ZLIB_COMPRESSOR_FORMAT_GZIP`, or the header data was not fully processed yet, or it not present in the data stream at all.

since: 2.26

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GConverter (2)

###### g_converter_convert

This is the main operation used when converting data. It is to be called multiple times in a loop, and each time it will do some work, i.e. producing some output (in `outbuf`) or consuming some input (from `inbuf`) or both. If its not possible to do any work an error is returned.

since: 2.24

###### g_converter_reset

Resets all internal state in the converter, making it behave as if it was just created. If the converter has any internal state that would produce output then that output is lost.

since: 2.24

#### Properties

###### Gio.ZlibDecompressor:file-info

A `GFileInfo` containing the information found in the GZIP header of the data stream processed, or `NULL` if the header was not yet fully processed, is not present at all, or the compressor’s `GZlibDecompressor:format` property is not `G_ZLIB_COMPRESSOR_FORMAT_GZIP`.

since: 2.26

###### Gio.ZlibDecompressor:format

The format of the compressed data.

since: 2.24

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct GioZlibDecompressorClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.